For the complete documentation index, see llms.txt. This page is also available as Markdown.

Check permissions

Has Permission Endpoint

get

Endpoint to check if a user has permissions to act on resources.

Args: user_id: ID of the user for which to check the permissions. action: The action the user wants to perform on the resources. resources: The resources the user wants to perform the action on. auth_context: The authentication context. rbac: RBAC component.

Returns: A dictionary mapping resources to a boolean which indicates whether the user has permissions to perform the action on that resource.

Authorizations
OAuth2clientCredentialsRequired
Token URL:

OAuth2authorizationCodeRequired
Authorization URL: Token URL: Refresh URL:
Query parameters
user_idstring · uuidRequired
actionstringRequired
resourcesstring[]Optional
Responses
200

Successful Response

application/json
Other propertiesbooleanOptional
get
/rbac/check_permissions
ZenML Scarf

Last updated

Was this helpful?